Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.cocoon.forms.formmodel.tree
Class TreeDefinition

    java.lang.Object
      org.apache.cocoon.forms.formmodel.AbstractWidgetDefinition
          org.apache.cocoon.forms.formmodel.tree.TreeDefinition

All Implemented Interfaces:
  org.apache.cocoon.util.location.Locatable, WidgetDefinition

public class TreeDefinition
extends AbstractWidgetDefinition

Definition of a `Tree` widget.

Version:
  $Id: TreeDefinition.java 587759 2007-10-24 03:00:37Z vgritsenko $

Field Summary

Fields inherited from class org.apache.cocoon.forms.formmodel.AbstractWidgetDefinition
`createListener, enclosingLibrary, parent`

Constructor Summary
`TreeDefinition()`

Method Summary
`void` | `addSelectionListener(TreeSelectionListener listener)`
`Widget` | `createInstance()` Creates and returns a widget based on this widget definition.
`TreeModel` | `createModel()`
`TreeSelectionListener` | `getSelectionListener()`
`int` | `getSelectionModel()`
`boolean` | `isRootVisible()`
`void` | `setModelDefinition(TreeModelDefinition definition)`
`void` | `setRootVisible(boolean visible)`
`void` | `setSelectionModel(int model)`

Methods inherited from class org.apache.cocoon.forms.formmodel.AbstractWidgetDefinition
`addCreateListener, addValidator, checkCompleteness, checkMutable, fireCreateEvent, generateDisplayData, generateDisplayData, generateLabel, getAttribute, getEnclosingLibrary, getFormDefinition, getId, getLocation, getParent, getState, initializeFrom, makeImmutable, setAttributes, setDisplayData, setEnclosingLibrary, setId, setLocation, setParent, setState, validate, widgetCreated`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### TreeDefinition

    public TreeDefinition()

Method Detail

### createInstance

    public Widget createInstance()

  Description copied from interface: `WidgetDefinition`
  Creates and returns a widget based on this widget definition.

### createModel

    public TreeModel createModel()

### setModelDefinition

    public void setModelDefinition(TreeModelDefinition definition)

### setRootVisible

    public void setRootVisible(boolean visible)

### isRootVisible

    public boolean isRootVisible()

### setSelectionModel

    public void setSelectionModel(int model)

### getSelectionModel

    public int getSelectionModel()

### addSelectionListener

    public void addSelectionListener(TreeSelectionListener listener)

### getSelectionListener

    public TreeSelectionListener getSelectionListener()

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 1999-2008 The Apache Software Foundation. All Rights Reserved.